Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# gslib::static_container::compare_methods< SubClass > Class Template Reference

”äŠr‰‰ŽZŽq’è‹` mixin More...

`#include <compare_methods.h>`

Inheritance diagram for gslib::static_container::compare_methods< SubClass >:

[legend]
List of all members.

## Public Member Functions
bool | operator== (const SubClass &other) const
bool | operator< (const SubClass &other) const
template<typename OtherContainer> bool | equal (const OtherContainer &cont) const
| ”CˆÓƒRƒ“ƒeƒi‚Æ‚Ì”äŠr

## Detailed Description

### template<typename SubClass>
class gslib::static_container::compare_methods< SubClass >

”äŠr‰‰ŽZŽq’è‹` mixin

Definition at line 64 of file compare_methods.h.

## Member Function Documentation

template<typename SubClass>
template<typename OtherContainer>
bool gslib::static_container::compare_methods< SubClass >::equal | ( | const OtherContainer & | cont | ) | const`[inline]`

| ”CˆÓƒRƒ“ƒeƒi‚Æ‚Ì”äŠr Definition at line 87 of file compare_methods.h. Referenced by gslib::static_container::compare_methods< list< Value, MaxSize > >::operator==().
    00087                                                            {
    00088                 if ( static_cast< const SubClass* >( this )->size() == cont.size() ) {
    00089                     return std::equal(
    00090                         static_cast< const SubClass* >( this )->begin(),
    00091                         static_cast< const SubClass* >( this )->end(),
    00092                         cont.begin() );
    00093                 } else {
    00094                     return false;
    00095                 }
    00096             }

template<typename SubClass>
bool gslib::static_container::compare_methods< SubClass >::operator< | ( | const SubClass & | other | ) | const`[inline]`

| Definition at line 79 of file compare_methods.h.
    00079                                                             {
    00080                 return std::lexicographical_compare(
    00081                     static_cast< const SubClass* >( this )->begin(), static_cast< const SubClass* >( this )->end(),
    00082                     other.begin(), other.end() );
    00083             }

template<typename SubClass>
bool gslib::static_container::compare_methods< SubClass >::operator== | ( | const SubClass & | other | ) | const`[inline]`

| Definition at line 75 of file compare_methods.h.
    00075                                                              {
    00076                 return equal( other );
    00077             }

The documentation for this class was generated from the following file:

- compare_methods.h